include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/tqt
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tqscintillaplugin (shared)

tde_add_library( tqscintillaplugin SHARED

  SOURCES
        tqscintillaplugin.cpp
  LINK
     tqscintilla-shared

  DESTINATION ${TQT_PLUGINS_DIR}/designer
)
